package sgc.portal.ei.ei0501.persistence;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.ei.ei0501.dto.EI05010001USearch;
import sgc.portal.ei.ei0501.model.EI05010001U;

@Mapper
public interface EI05010001UMapper {
	
	/*
     * SEARCH LIST
     */
    List<EasyHashMap<String, Object>> getList(EI05010001USearch search);
    
    List<EasyHashMap<String, Object>> getList2(EI05010001USearch search);
    
    
    /*
     * UPDATE
     */
    int insertOrUpdate1(EI05010001U eI05010001U);
    
    
    /*
     * PROCEDURE EXCUTE
     */
    void callSpEisMiRunEng(EI05010001USearch search);
    
    void callSpEisMiRunEtec(EI05010001USearch search);
    
}
